Bug 650433 - [abrt] dvdauthor-0.7.0-1.fc14: __strlen_sse2_bsf: Process /usr/bin/dvdauthor was killed by signal 11 (SIGSEGV)
Summary: [abrt] dvdauthor-0.7.0-1.fc14: __strlen_sse2_bsf: Process /usr/bin/dvdauthor ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dvdauthor
Version: 14
Hardware: i686
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Ville Skyttä
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:239ed7ae11643d7aa71aa38df91...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-06 11:37 UTC by Artemio
Modified: 2010-11-28 20:45 UTC (History)
3 users (show)

Fixed In Version: dvdauthor-0.7.0-2.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-28 20:45:18 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (6.61 KB, text/plain)
2010-11-06 11:37 UTC, Artemio
no flags Details

Description Artemio 2010-11-06 11:37:28 UTC
abrt version: 1.1.13
architecture: i686
Attached file: backtrace
cmdline: dvdauthor -x /tmp/brasero_tmp_3FAXLV
component: dvdauthor
crash_function: __strlen_sse2_bsf
executable: /usr/bin/dvdauthor
kernel: 2.6.35.6-48.fc14.i686
package: dvdauthor-0.7.0-1.fc14
rating: 4
reason: Process /usr/bin/dvdauthor was killed by signal 11 (SIGSEGV)
release: Fedora release 14 (Laughlin)
time: 1289042209
uid: 500

Comment 1 Artemio 2010-11-06 11:37:31 UTC
Created attachment 458313 [details]
File: backtrace

Comment 2 Ville Skyttä 2010-11-06 13:30:41 UTC
Lawrence: FYI, something related to the new XDG video format stuff appears to crash dvdauthor 0.7.0.  The build of the Fedora package does not pass --enable-default-video-format to configure.

Artemio: could you let us know what the following commands output?

echo $HOME
echo $XDG_CONFIG_HOME
echo $VIDEO_FORMAT
ls -ld ~/.config
cat ~/.config/video_format

Comment 3 Ville Skyttä 2010-11-08 18:10:55 UTC
brasero maintainers, FYI: Lawrence dug into this and found that brasero appears to trigger this bug in dvdauthor 0.7.0 because it ends up invoking dvdauthor with no $HOME set (see brasero_process_start() in libbrasero-burn/burn-process.c).  Brasero upstream has been contacted, and I'll hold dvdauthor 0.7.0 from stable until the issue has been resolved in brasero and/or dvdauthor.

Comment 4 Michael Schwendt 2010-11-08 19:12:54 UTC
Removing my addr from Cc. I'm not a brasero maintainer. I've made some pkgdb requests more than a year ago (Fedora 11 or earlier), but they have never been processed. Going to visit pkgdb now to revert the requests...

Comment 5 Fedora Update System 2010-11-09 16:34:15 UTC
dvdauthor-0.7.0-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/dvdauthor-0.7.0-2.fc14

Comment 6 Fedora Update System 2010-11-10 01:17:25 UTC
dvdauthor-0.7.0-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dvdauthor'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/dvdauthor-0.7.0-2.fc14

Comment 7 Fedora Update System 2010-11-28 20:45:00 UTC
dvdauthor-0.7.0-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.